### Method

# St Entry set_input_hints

#### Declaration [src]

    void
    st_entry_set_input_hints (
      StEntry* entry,
      ClutterInputContentHintFlags hints
    )

#### Description [src]

Sets the `StEntry:input-hints` property, which allows input methods to fine-tune their behaviour.

Sets property | `St.Entry:input-hints`

#### Parameters

`hints`

  Type: `ClutterInputContentHintFlags`

  The hints.